class Admin::AdBannersController < OrbitBackendController
  layout "new_admin"
  before_filter :authenticate_user!
  before_filter :for_app_manager,:except => [:index,:show,:update,:realtime_preview] 
  before_filter :for_app_sub_manager

  def rename
    @ad_banner = AdBanner.find(params[:id])
    @ad_banner.title = params[:body]
    render :json => {:success =>@ad_banner.save!}
  end
  def destroy
    @ad_banner = AdBanner.find(params[:id])
    @ad_banner.destroy
    redirect_to admin_ad_banners_url
  end
  
  def show
    @ad_banners = AdBanner.all
    @active = AdBanner.find(params[:id])
    render :action => 'index'
  end
  
  def new
    @ad_banners = AdBanner.all
    render :action => 'index',:params => 'new'
  end
  
  def create
    @ad_banner = AdBanner.new(params[:ad_banner])
    if @ad_banner.save
      @active = @ad_banner
      respond_to do |format|
        format.js {render 'new_created_node'}
      end
    else
      render  'create_error_msg'
    end
  end
  
  def edit
    @ad_banner = AdBanner.find(params[:id])
    
  end
  
  def update
    @ad_banner = AdBanner.find(params[:id])    
    @ad_banner.update_attributes(params[:ad_banner])
    @ad_banner.save
    redirect_to admin_ad_banners_url
  end
  
  def realtime_preview
    @ad_banner = AdBanner.find( params[:id] ).preview_clone
    @ad_banner.update_attributes(params[:ad_banner])#.update_attributes(params[:ad_images])
  end
  
  def index
    @ad_banners = AdBanner.all
    @active = @ad_banners.first
  end
  
end